msgpack::adaptor::object< char[N]> Struct Template Reference

`#include <carray.hpp>`

## Public Member Functions

void | operator() (msgpack::object &o, const char(&v)[N]) const

## Member Function Documentation

## operator()()

template<std::size_t N>

void msgpack::adaptor::object< char[N]>::operator() | ( | msgpack::object< char[N]> & | o,
|  | const char(&) | v[N]
| ) |  | const

inline

References msgpack::checked_get_container_size(), msgpack::object_str::ptr, msgpack::type::size(), msgpack::object_str::size, msgpack::type::STR, msgpack::object::union_type::str, msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/carray.hpp